

class Stat
    attr_reader :instance, :name, :value, :collected_at

    def initialize(instance, name)
        @instance=instance
        @name=name
        @value=0
    end

    def value=(newval)
        @value=newval.to_i
        @collected_at=Time.now.to_i
    end

    def to_hash
        hash = {}
        instance_variables.each {|var| hash[var.to_s.delete("@")] = instance_variable_get(var) }
        hash
    end
end

